
Foreman - Feature #3684

Add unique IDs to Foreman UI menus

11/18/2013 10:55 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

QE relies pretty heavily on unique IDs to identify and select HTML elements in a page via Selenium WebDriver, so having unique IDs

is extremely helpful. Currently most menu and submenu items don't have IDs which makes locating them unreliable as we have to

refer to them by their location (i.e. The Environments menu is the first item from the Configuration menu, etc)

Related issues:

Related to Foreman - Feature #3510: As a GUI user, I would like to know what ... Closed 10/25/2013

Associated revisions

Revision a783057e - 11/23/2013 07:22 PM - Dominic Cleal

fixes #3684 - add IDs to top level dropdown menus

History

#1 - 11/18/2013 10:56 PM - Og Maciel

Submitted https://github.com/theforeman/foreman/pull/1038

#2 - 11/19/2013 11:45 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Ready For Testing

- Assignee set to Og Maciel

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

#3 - 11/22/2013 03:40 PM - Dominic Cleal

- Related to Feature #3510: As a GUI user, I would like to know what plugins are installed added

#4 - 11/23/2013 09:28 AM - Dominic Cleal

- Assignee changed from Og Maciel to Dominic Cleal

Was mostly implemented via #3510 instead.

Followup: https://github.com/theforeman/foreman/pull/1049

#5 - 11/23/2013 07:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a783057ecc29b96c9559e9d1a8f21485fc629078.
